#
# spec file for package applet-window-appmenu
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf5_version 5.38
%define qt5_version 5.9

Name:           applet-window-appmenu
Version:        0.8.0
Release:        bp155.1.12
Summary:        Plasma 5 applet to show the window appmenu
License:        GPL-2.0-or-later
Group:          System/GUI/KDE
URL:            https://github.com/psifidotos/applet-window-appmenu
Source0:        https://github.com/psifidotos/applet-window-appmenu/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  kconfig-devel >= %{kf5_version}
BuildRequires:  kconfigwidgets-devel >= %{kf5_version}
BuildRequires:  kdeclarative-devel >= %{kf5_version}
BuildRequires:  kdoctools-devel >= %{kf5_version}
BuildRequires:  kglobalaccel-devel >= %{kf5_version}
BuildRequires:  ki18n-devel >= %{kf5_version}
BuildRequires:  kwindowsystem-devel >= %{kf5_version}
BuildRequires:  kxmlgui-devel >= %{kf5_version}
BuildRequires:  libSM-devel
BuildRequires:  plasma-framework-devel >= %{kf5_version}
BuildRequires:  plasma5-workspace-devel >= 5.12
BuildRequires:  cmake(KDecoration2) >= 5.12
BuildRequires:  cmake(KF5ItemModels) >= %{kf5_version}
BuildRequires:  cmake(Qt5Core) >= %{qt5_version}
BuildRequires:  cmake(Qt5DBus) >= %{qt5_version}
BuildRequires:  cmake(Qt5Quick) >= %{qt5_version}
BuildRequires:  cmake(Qt5QuickWidgets) >= %{qt5_version}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_version}
BuildRequires:  cmake(Qt5X11Extras) >= %{qt5_version}

%description
This is a Plasma 5 applet that shows the current window appmenu in
one's panels (as a global menu). This plasmoid supports both
latte-dock and standard Plasma panels.

%prep
%setup -q

%build
%cmake_kf5 -d build
%cmake_build

%install
%kf5_makeinstall -C build
%fdupes %{buildroot}

%files
%license LICENSE
%{_kf5_qmldir}/org/kde/private/windowAppMenu
%dir %{_kf5_plugindir}/plasma/applets
%{_kf5_plugindir}/plasma/applets/plasma_applet_windowappmenu.so
%dir %{_kf5_plasmadir}/plasmoids
%{_kf5_plasmadir}/plasmoids/org.kde.windowappmenu
%if %{pkg_vcmp cmake(KF5Plasma) < 5.84} || %{pkg_vcmp cmake(KF5Plasma) >= 5.89}
%{_kf5_servicesdir}/plasma-applet-org.kde.windowappmenu.desktop
%endif
%{_kf5_appstreamdir}/org.kde.windowappmenu.appdata.xml

%changelog
* Sun May 29 2022 Cor Blom <cornelis@solcon.nl>
- Update to 0.8.0:
  * use applet geometry to accept mouse events when inside latte docks and panels
  * show menu only after the previous one has already become hidden
* Wed Jan  5 2022 Christophe Giboudeaux <christophe@krop.fr>
- Fix installation (again) when using plasma-framework 5.89
* Sat Jul 24 2021 Cor Blom <cornelis@solcon.nl>
- update to 0.7.1:
  * do not show any appmenu on empty and inactive screens
  * improve compact button spacing
  * show proper popup menu for vertical panels
* Sun Jul 18 2021 Christophe Giboudeaux <christophe@krop.fr>
- Fix the %%files section. plasma-framework >= 5.84 doesn't install
  desktop files in %%_kf5_servicesdir anymore.
* Sun Jun 13 2021 Cor Blom <cornelis@solcon.nl>
- Update to 0.7.0:
  * fix occasional crash when menu is hiding
  * fixes when present in plasma panels
  * position menus relevant to screen edge
  * add filter for maximized windows
  * apply filters properly for compact button scenario
  * respect Fitt's law for floating latte panels
  * position menus relevant to entire screen geometry
  * add option to enable unity behavior in neighbour window title applets
  * fixes for unity behavior in latte panels
* Fri May 14 2021 Simon Lees <sflees@suse.de>
-  %%cmake_build is now the recommended way to build cmake projects
* Sun Nov 24 2019 Cor Blom <cornelis@solcon.nl>
- Update to version 0.6.0:
  * new option to support color schemes for menus. For Latte a new
    option to colorize the menus based on the current window color
    scheme is already present.
  * release menu item hovering when not needed any more
  * new option to maximize/restore active window when used in
    plasma panels [@ Taras Fomin]
- Add cmake(KDecoration2) >= 5.12 to BuildRequires
* Mon Aug  5 2019 Cor Blom <cornelis@solcon.nl>
- Update to version 0.5.1:
  * fix buttons vertical positioning. Previously there were cases
    where buttons had 1px. difference with surrounding applets
* Fri Jul 12 2019 Cor Blom <cornelis@solcon.nl>
- Update to version 0.5.0:
  * provide a relevant background for window buttons in configuration
    window to fix contrast issues
  * support new Latte v0.9 Communicator API
  * support new Latte v0.9 Windows Tracking interface when in Latte
    dock/panel
* Fri Jul 12 2019 Cor Blom <cornelis@solcon.nl>
- Update to version 0.5.0:
  * show app menus also for inactive windows in multi-screen
    environment through Latte WindowsTracking v0.9 interface
  * improve appearance when in Latte edit mode
  * use new Latte Communicator API for v0.9
* Sun Jun 30 2019 Jan Engelhardt <jengelh@inai.de>
- Fix description grammar.
* Mon May 20 2019 Cor Blom <cornelis@solcon.nl>
- Update to 0.4.2:
  * fix a serious crash for some systems when the user was clicking
    the menu items Plasma or Latte was crashing
  * various improvements for Unity style behavior
  * fix behavior with Latte git version dragging/maximizing/restoring
    active window from panel empty areas
  * dont register the global menu service under wayland in order for
    windows to keep their global menus in their windows
  * fix warnings on startup
* Tue Apr  2 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 0.4.1:
  * Improve screen filtering
  * Support horizontal scrolling
  * Provide a Unity behavior option when used with Window Title
    0.4 in latest Latte master
  * Fix RTL menu items alignment
  * Fix menu items not showing for all applications
* Mon Mar  4 2019 Cor Blom <cornelis@solcon.nl>
- Update to released 0.3.
* Sun Nov 25 2018 cornelis@solcon.nl
- Remove fix-appmenu.patch. Now in git
- Git is now version 0.2
* Mon Nov 19 2018 Cor Blom <cornelis@solcon.nl>
- Add fix-appmenu.patch to fix menus in Lyx (kde#399975)
* Sat Nov 17 2018 Cor Blom <cornelis@solcon.nl>
- Initial package
